#!/bin/bash



#Indirekt deklaracio
tomb[0]=egy
tomb[1]=ketto
tomb[2]=harom

echo ${tomb[0]}
echo ${tomb[1]}
echo ${tomb[2]}

c=2
echo ${tomb[((++c))]}

#torles
unset tomb[1]
echo ${tomb[1]}

#Direct deklaració
declare -a tomb2

#Felsorolásos deklaráció
tomb3=(egy ketto harom negy);

for elem in ${tomb3[@]}; do echo $elem; done;

#Felsorolásos deklaráció indexekkel
tomb4=(nulla egy ketto harom negy [10]=tiz [11]=tizenegy [20]=husz);

echo
for elem in ${tomb4[@]}; do echo $elem; done;

echo
for i in $(seq 0 20); do echo $i : ${tomb4[i]}; done;
